#include "stdafx.h"
#include <iostream>
#include <sstream>

#include "NtKinectDll.h"

using namespace std;

int main() {
	void* kinect = getKinect();
	while (1) {
		int state = rightHandState(kinect);
		switch (state) {
		case 2: cout << "Open" << endl; break;
		case 3: cout << "Closed" << endl; break;
		case 4: cout << "Lasso" << endl; break;
		default: cout << "unknown" << endl;  break;
		}
	}
	return 0;
}
